Name: curl
Version: 7.65.3
Release: 4
License: MIT
Summary: command line tool and library for transferring data with URLs
Url: https://curl.haxx.se

BuildRequires: autoconf
BuildRequires: automake
BuildRequires: libtool
BuildRequires: openssl-devel >= 1.1.1
BuildRequires: zlib-devel

Requires: libcurl4 = %{version}-%{release}

Source0: https://curl.haxx.se/download/curl-%{version}.tar.bz2

%description
curl is used in command lines or scripts to transfer data. It is also used in cars, television sets, routers, printers, audio equipment, mobile phones, tablets, settop boxes, media players and is the internet transfer backbone for thousands of software applications affecting billions of humans daily. 


%package -n libcurl4
Summary: libcurl library

# Conflict with versions of pycurl built with older version of curl,
# which were built with openssl 1.0.2. 7.43.0-3 is the first release that has
# the 'Requires' for libcurl4 to ensure compatability. Both packages must be
# in sync or yum will break.
Conflicts: python2-pycurl < 7.43.0-3

# Because curl is now built against openssl1_1 versions that have ENGINE
# support enabled, need to ensure that a version of OpenSSL built with ENGINE
# support enabled is installed
Requires: libopenssl1_1 >= 1.1.1-5

%description -n libcurl4
Library for using CURL.


%package devel
Summary: curl development files
Requires: libcurl4 = %{version}-%{release}

# curl-config --libs requires users to link to zlib and openssl as well
Requires: zlib-devel
Requires: openssl-devel >= 1.1.1

%description devel
Development tools, libraries, and header files for building applictions which use libcurl.

%prep
%setup -q

%build

autoreconf -fi

%configure \
  LDFLAGS="-Wl,-brtl -L%{_libdir} -Wl,-blibpath:%{_libdir}:/QOpenSys/usr/lib" \
  --prefix=%{_prefix} \
  --with-aix-soname=svr4 \
  --enable-symbol-hiding \
  --disable-static \
  --disable-manual \
  --enable-ipv6 \
  --with-ssl \
  --with-ca-fallback \
  --without-libssh2 \
  --without-ca-path \
  --without-ca-bundle \
  # end

%make_build

%install

%make_install

find %{buildroot}/%{_libdir} -name \*.la | xargs rm

%files
%defattr(-, qsys, *none)

%{_bindir}/curl


%files -n libcurl4
%defattr(-, qsys, *none)

%{_libdir}/libcurl.so.4
%{_mandir}/man1/curl.1

%files devel
%defattr(-, qsys, *none)

%{_bindir}/curl-config

%{_includedir}/curl

%{_libdir}/libcurl.so
%{_libdir}/pkgconfig/libcurl.pc

%{_datadir}/aclocal/libcurl.m4

%{_mandir}/man1/curl-config.1
%{_mandir}/man3/*

%changelog
* Wed Nov 13 2019 Mark Irish <mirish@ibm.com> - 7.65.3
- Require a version of libopenssl1_1 with ENGINE support for libcurl

* Tue Sep 24 2019 Mark Irish <mirish@ibm.com> - 7.65.3
- Ensure that upgrading libcurl to openssl 1.1 will also update python2-pycurl to prevent yum from breaking

* Mon Sep 23 2019 Mark Irish <mirish@ibm.com> - 7.65.3
- Require that the version of libcurl must match installed version of curl and curl-devel

* Wed Aug 07 2019 Mark Irish <mirish@ibm.com> - 7.65.3
- Change development package to require openssl-devel >= 1.1.1

* Tue Aug 06 2019 Mark Irish <mirish@ibm.com> - 7.65.3
- Update openssl-devel to >= 1.1.1

* Tue Aug 06 2019 Mark Irish <mirish@ibm.com> - 7.65.3
- Upgrade to version 7.65.3
- Fixes the following vulnerabilities:
- CVE-2019-5436
- CVE-2018-16890
- CVE-2019-3822
- CVE-2019-3823
- CVE-2018-16842
- CVE-2018-16839
- CVE-2018-14618
- CVE-2018-0500
- CVE-2018-1000300
- CVE-2018-1000301
- CVE-2018-1000122
- CVE-2018-1000121
- CVE-2018-1000120

* Wed Aug 08 2018 - Kevin Adler <kadler@us.ibm.com>
- Ensure curl builds in chroot

* Wed Aug 08 2018 - Kevin Adler <kadler@us.ibm.com>
- Fix curl-devel dependencies

* Sat Mar 03 2018 - Kevin Adler <kadler@us.ibm.com>
- Add openssl less than 1.1.0 build requirement
- Remove libopenssl1_0_0 and libz1 from BuildRequires

* Thu Feb 01 2018 - Kevin Adler <kadler@us.ibm.com>
- Update curl to 7.58.0 for CVEs

* Wed Dec 20 2017 - Kevin Adler <kadler@us.ibm.com>
- Remove 64-bit GCC script workarounds
- OBJECT_MODE now always set by build and install macros

* Wed Nov 22 2017 - Kevin Adler <kadler@us.ibm.com>
- Update BuildRequires

* Tue Nov 21 2017 - Kevin Adler <kadler@us.ibm.com>
- Use auto dependency resolution instead of requiring pase-libs
- Make curl build

* Tue Nov 07 2017 - Kevin Adler <kadler@us.ibm.com>
- Fix license GPLv3 -> MIT
